Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9953,
"created_at": "2019-05-08 15:39:09",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2019-05-08 15:41:04",
"format": 1,
"frequency": "value",
"last_run_at": "2019-05-08 15:35:52",
"name": "value",
"next_run_at": "2019-05-08 15:47:35",
"report_id": 848,
"start_at": "2019-05-08 15:31:32",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 695,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-07",
"end_at": "2026-11-07",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 7425,
"created_at": "2020-07-13 14:50:33",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2020-07-13 14:55:59",
"format": 1,
"frequency": "value",
"last_run_at": "2020-07-13 14:55:19",
"name": "value",
"next_run_at": "2020-07-13 15:04:50",
"report_id": 6049,
"start_at": "2020-07-13 14:56:08",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/67 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7313,
"created_at": "2019-05-18 05:45:35",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2019-05-18 05:52:40",
"format": 0,
"frequency": "value",
"last_run_at": "2019-05-18 05:41:04",
"name": "value",
"next_run_at": "2019-05-18 05:51:25",
"report_id": 8244,
"start_at": "2019-05-18 05:48:42",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/72 HTTP/1.1
Host: l7api.com
{
"report_id": 282,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-07",
"end_at": "2026-11-07",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9257,
"created_at": "2024-09-13 05:00:17",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2024-09-13 04:54:44",
"format": 1,
"frequency": "value",
"last_run_at": "2024-09-13 04:46:52",
"name": "value",
"next_run_at": "2024-09-13 04:41:32",
"report_id": 8606,
"start_at": "2024-09-13 04:56:25",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/54 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3928,
"created_at": "2018-01-08 13:57:19",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2018-01-08 13:57:04",
"format": 0,
"frequency": "value",
"last_run_at": "2018-01-08 13:45:56",
"name": "value",
"next_run_at": "2018-01-08 13:57:35",
"report_id": 8985,
"start_at": "2018-01-08 13:57:06",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}